Arduino

Reference Language | Libraries | Comparison | Changes

Robot

## motorsStop()

#### Description

Stop both motors of the robot.

#### Syntax

Robot.motorsStop()

#### Parameters

none

#### Returns

none

#### Examples

#include <ArduinoRobot.h>
void setup(){
Robot.begin();
}
void loop(){
Robot.motorsWrite(255,255); //Make the robot go forward, full speed
delay(1000);
Robot.motorsStop(); //Fast stop the robot
delay(1000);
Robot.motorsWrite(255,-255);//Make the robot rotate right, full speed
delay(1000);
Robot.motorsWrite(0,0); //Slow stop the robot
delay(1000);
}
[Get Code]

#### Note

You can as well stop the motors by calling Robot.motorsWrite(0,0). Difference is, after the later is called, the motors may still move a little due to momentum(so called slow stop). Robot.motorsStop() will stop the motors and make them stiff, so stop instantly.

#### See also

- motorsWrite()
- turn()
- pointTo()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers